# Class CIM_DeviceServicesLocation
extends CIM_Dependency

Within an automated StorageLibrary, Media should be accessible to the various robotics and MediaTransferDevices (Pickers, Changers, InterLibraryPorts, etc.). The Library may be serviced by different TransferDevices, each responsible for a subset of the Library's StorageMediaLocations. The Device ServicesLocation association indicates that the Transfer Device handles Media stored in the referenced Location. For example, LibraryPort 'A' may only service Media from Slots 1-10, while LibraryPort 'B' covers Slots 11-33. This detail is conveyed by this association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceServicesLocation

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

Within an automated StorageLibrary, Media should be accessible to the various robotics and MediaTransferDevices (Pickers, Changers, InterLibraryPorts, etc.). The Library may be serviced by different TransferDevices, each responsible for a subset of the Library's StorageMediaLocations. The Device ServicesLocation association indicates that the Transfer Device handles Media stored in the referenced Location. For example, LibraryPort 'A' may only service Media from Slots 1-10, while LibraryPort 'B' covers Slots 11-33. This detail is conveyed by this association.

UMLPackagePath | string | CIM::Device::StorageLib
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
Inaccessible | boolean |

Description

string

Boolean indicating that the referenced StorageMediaLocation is not currently accessible to the MediaTransferDevice. For example, the Location could be the realization of an InterLibraryPort that is currently servicing another Library. The DeviceServicesLocation association describes that the TransferDevice COULD service the MediaLocation. This boolean indicates that that this is temporarily not possible.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DeviceServicesLocation | CIM_MediaTransferDevice
Dependent | CIM_DeviceServicesLocation | CIM_StorageMediaLocation

## Class Methods